Bug 1835578 - Kibana Logout Function Does not log off user
Summary: Kibana Logout Function Does not log off user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.3.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1823305
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-14 05:51 UTC by Shivkumar Ople
Modified: 2020-07-07 14:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The signoff link pointed to an incorrect handler for the oauth proxy which provides security for Kibana Consequence: Fix: Modify the signoff link to be correct Result: User's cookie is invalidated and they are navigated correctly to a page that allows them to sign-in again
Clone Of:
Environment:
Last Closed: 2020-07-07 14:48:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin-aggregated-logging pull 1926 0 None closed [release-4.3] Bug 1835578: Fix sign-off kibana link 2021-01-14 21:34:22 UTC
Red Hat Product Errata RHBA-2020:2805 0 None None None 2020-07-07 14:48:42 UTC

Description Shivkumar Ople 2020-05-14 05:51:53 UTC
Description of problem:

 When a user logged out from kibana then he redirects to the page where we can log in with OpenShift again. But this never works, it redirects to get the credentials and after providing the credentials, it always fails with "The page isn't redirecting properly" error.  It works though in another tab.

Version-Release number of selected component (if applicable):

OpenShift version
Server Version: 4.2.14
Kubernetes Version: v1.14.6+b294fe5

How reproducible:
Always

Steps to Reproduce:
1. Log into the kibana console
2. Logout from kibana, then you will get redirected to the "Login with OpenShift" page.
3. So when trying to login again to kibana in the same tab is not working.

Actual results:

Fails with "The page isn't redirecting properly" browser error.

Expected results:

Login should be working properly when tried logging in the same tab. 


Additional info:

Comment 1 Standa Laznicka 2020-05-14 07:21:47 UTC
I do not know how kibana handles log out, I believe the logging folks are dealing with a similar issue at the moment.

Comment 3 Jeff Cantrill 2020-05-15 20:06:30 UTC
I don't fundamentally see how this BZ differs from https://bugzilla.redhat.com/show_bug.cgi?id=1823305 . I'm going to repurpose this to be a 4.3 backport

Comment 8 Anping Li 2020-06-28 02:48:48 UTC
Verified on clusterlogging.4.3.28-202006270952.p0

Comment 10 errata-xmlrpc 2020-07-07 14:48:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2805


Note You need to log in before you can comment on or make changes to this bug.